
package de.ivu.elect.business.wahl.boundary;

import javax.ejb.Stateless;

import de.ivu.elect.business.dokumente.boundary.AbstractDokumentGenerator;
import de.ivu.elect.business.dokumente.entity.DokumentVorlageArt;
import de.ivu.elect.business.wahl.control.WahlterminDokumentContext;
import de.ivu.elect.business.wahl.entity.Wahltermin;

@Stateless
public class WahlterminDokumentGenerator extends AbstractDokumentGenerator<Wahltermin, WahlterminDokumentContext> {

  public WahlterminDokumentGenerator() {
    super();
  }

  @Override
  protected Wahltermin attach(Wahltermin entity, WahlterminDokumentContext context) {
    return wahlterminDAO.attach(entity);
  }

  @Override
  public DokumentVorlageArt getDokumentVorlageArt() {
    return DokumentVorlageArt.WAHLTERMIN;
  }
}
